### Class

# FwupdPlugin EfiX509Signature

#### Description [src]

    final class FwupdPlugin.EfiX509Signature : FwupdPlugin.EfiSignature
    {
      /* No available fields */
    }

A X.509 certificate as found in an `EFI_SIGNATURE_LIST`.

See also: `FuFirmware`.

#### Ancestors

- FuEfiSignature
- FuFirmware
- GObject

#### Instance methods

###### fu_efi_x509_signature_get_issuer

Returns the certificate issuer.

since: 2.0.8

###### fu_efi_x509_signature_get_subject

Returns the certificate subject.

since: 2.0.8

###### fu_efi_x509_signature_get_subject_name

Returns the certificate subject name, with any suffixed version removed.

since: 2.0.8

###### fu_efi_x509_signature_get_subject_vendor

Returns the certificate subject name, with any suffixed version removed.

since: 2.0.8

##### Methods inherited from FuEfiSignature (2)

###### fu_efi_signature_get_kind

Returns the signature kind.

since: 1.5.5

###### fu_efi_signature_get_owner

Returns the GUID of the signature owner.

since: 1.5.5

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginEfiX509SignatureClass {
      FuEfiSignatureClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuEfiSignatureClass`

  No description available.